-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseUseCase

Declaration :

- C++ : class UmlBaseUseCase : public UmlItem
- Java : abstract class UmlBaseUseCase extends UmlItem

Directly inherited by : UmlUseCase

Manage the use cases

Artifact : UmlBaseUseCase

Operation create

Declaration :

- C++ : public: static UmlUseCase * create(UmlItem * parent, const char * s)
- Java : public static UmlUseCase create(UmlItem parent, String s) throws RuntimeException

returns a new use case named 's' created under 'parent'
In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDiagram

Declaration :

- C++ : public: UmlUseCaseDiagram * associatedDiagram()
- Java : public UmlUseCaseDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- C++ : public: bool set_AssociatedDiagram(UmlUseCaseDiagram * d)
- Java : public void set_AssociatedDiagram(UmlUseCaseDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- C++ : private: UmlUseCaseDiagram * _assoc_diagram
- Java : private UmlUseCaseDiagram _assoc_diagram

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation UmlBaseUseCase

Declaration :

- C++ : protected: UmlBaseUseCase(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseUseCase(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , associatedDiagram , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload